body {
    font-family: -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Oxygen, Ubuntu, Cantarell, Fira Sans, Droid Sans, Helvetica Neue, sans-serif;
}

section {
    padding-top: 2%;
    padding-bottom: 2%;
}

.section1 {
    width: 100%;
    max-width: 4000px;
    background: url("https://www.barcelonacodeschool.com/files/pics/cur_files/squares.svg");
    background-size: cover;
    background-position: center;
    height: 20vh;
    display: flex;
    margin: 0;
    padding: 2em 0;
    text-align: left;
}

.columns2 {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 1em;
}

.columns3 {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 1em;
}

.columns4 {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-gap: 1em;
}

.video {
    position: relative;
    padding-bottom: 56.25%;
    padding-top: 25px;
    height: 0;
    overflow: hidden;
    box-shadow: -3px 3px #000;
}

.video iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.frames {
    border: 1px solid grey;
    margin-bottom: 1em;
    text-align: left;
    padding: 1em;
    box-shadow: -3px 3px #000;
}

h2,
h3 {
    color: inherit;
    font-weight: 700;
    text-rendering: optimizeLegibility;
}

h1 {
    font-size: 2.7em;
    text-transform: uppercase;
    text-align: left;
    margin-left: 20px;
}

h2 {
    grid-column: 1/3;
    font-size: 1.8em;
    text-transform: uppercase;
    text-align: left;
    margin-left: 20px;
}

h3 {
    grid-column: 1/3;
    font-size: 1.3em;
    text-transform: uppercase;
    text-align: left;
    margin-left: 20px;
}

dd,
dl,
p {
    display: block;
    margin-left: 20px;
}

.black {
    background: black;
    color: white;
    padding: 2em 10%;
    margin-bottom: 2em;
}

.white {
    background: white;
    color: black;
    padding: 2em 10%;
    margin-bottom: 2em;
}

.topnavbar {
    background: black;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    z-index: 5;
    padding: 1% 10%;
    text-align: center;
    font-size: 1em;
}

.topnavbar a:link {
    color: white;
    text-decoration: none;
}

.topnavbar a:visited {
    color: white;
    text-decoration: none;
}

.topnavbar a:hover {
    color: white;
    text-decoration: none;
}

.topnavbar a:active {
    color: white;
    text-decoration: none;
}

.white a:link {
    color: black;
}

.white a:visited {
    color: black;
}

.white a:hover {
    color: black;
}

.white a:active {
    color: black;
}

.black a:link {
    color: white;
}

.black a:visited {
    color: white;
}

.black a:hover {
    color: white;
}

.black a:active {
    color: white;
}

.white .social-media a {
    font-size: 0.9em;
    color: #606060;
}

.hiringpartners {
    vertical-align: middle;
    margin-right: 2%;
    width: 10%;
    filter: grayscale(100%);
}

.footer {
    font-size: 0.8em;
}

input[type=button] {
    background-color: white;
    border: black;
    border-style: solid;
    border-width: 0.1ch;
    color: black;
    padding: 12px 28px;
    text-decoration: none;
    font-size: 1em;
    margin: 2px 2px;
    cursor: pointer;
    margin-left: 20px;
}

input:hover {
    margin-top: -16px;
    box-shadow: -7px 5px black;
    margin-bottom: +17px;
}